module Passpit
  class Keeper
    class << self
      def withdraw(name, secret)
        token = pit[name]

        return 'Password not found.'.colorize(:red) unless token

        begin
          data = JWT.decode(token, secret, true, { algorithm: 'HS256' })
        rescue JWT::VerificationError => error
          return 'Secret phrase is wrong.'.colorize(:red)
        end

        if Clipboard.copy(data[0]['password'])
          return 'The password has been copied to your clipboard.'.colorize(:green)
        else
          return 'Something went wrong.'.colorize(:red)
        end
      end

      private

        def pit
          YAML.load_file(Passpit::Config.pit_path)
        end
    end
  end
end
